import { ApiRoom, DeleteRoomMember, PostAddRoomMember, PostReportRoom, PostRoom, RoomMember } from '../../types/types';
export declare function getRooms(): Promise<{
    items: ApiRoom[];
}>;
export declare function getRoomByName(chatName: string): Promise<ApiRoom>;
export declare function postRoom(data: PostRoom): Promise<any>;
export declare function postPrivateRoom(username: string, title?: string): Promise<ApiRoom>;
export declare function postReportRoom(data: PostReportRoom): Promise<any>;
export declare function postAddRoomMember(data: PostAddRoomMember): Promise<RoomMember[]>;
export declare function deleteRoomMember(data: DeleteRoomMember): Promise<any>;
export declare function deleteRoom(name: string): Promise<any>;
